Which devices is Osmo compatible with?

Osmo is compatible with most iPads and select Amazon Fire tablets. Effective August 2023, Osmo Coding games, the Genius Starter Kit games, Reading Adventure, Monster, Pizza Co., Detective Agency, Little Genius Starter Kit games, and Ultimate Expansion Bundle games are compatible with select iPhones.

Click HERE to find out which iPads and Fire Tablets are compatible with BYJU'S products.  

Apple iPads:

Full Compatibility Requires Reflector for iPad (2021) Limited Compatibility*
 iPad (Gen 5 - 10) iPad 10  iPad 2 
 iPad Mini (Gen 4 - 6)* Mini 6  iPad 3
 iPad Air (Gen 2 - 5) Air 4 - 5  iPad 4
 iPad Pro 9.7-inch    iPad Mini 1
 iPad Pro 10.5-inch    iPad Mini 2
 iPad Pro 11-inch (Gen 1 - 4) Gen 1 - 4  iPad Mini 3
 iPad Pro 12.9-inch (Gen 1 - 6) Gen 3 - 6  iPad Air 1
The Math Wizard Edu versions are not currently compatible with the iPad 10th Gen, iPad Pro 11” (4th Gen), and iPad Pro 12.9” (6th Gen). The main Math Wizard home version is compatible.


We will continue updating Osmo software to work with new iPad models as they are released.

*The tablets listed are no longer compatible, no longer being supported, and are considered obsolete by Apple.

If you have previously downloaded Osmo apps on one of these devices, they should continue to work. However, they will not receive new updates or content and if you delete the app, you will not be able to download it again. As a result, we are unable to provide technical support for these models.

iOS Version: The minimum iOS version required is 15

Apple iPhones: The Osmo Coding games (Awbie, Jam, and Duo), the Genius Starter Kit games (Words, Numbers, Tangram, Masterpiece, and Newton), Reading Adventure, Monster, Pizza Co., Detective Agency, and Little Genius Starter Kit games (ABCs, Squiggle Magic, Costume Party, and Stories), Ultimate Expansion Bundle games (Cooking Chaos, Numbers Toybox, Math Buzz, Lettertopia, Words Chomp, and Words Explorers) are compatible with the following iPhones:

Compatible Not compatible

 iPhone 12

iPhone 15, 15 Pro, 15 Pro Max, 15 Plus

 iPhone 12 Pro

 iPhone 14 Pro

 iPhone 12 Pro Max

 iPhone 14 Pro Max

 iPhone 13

 iPhone 12 Mini

 iPhone 13 Pro

 iPhone 13 Mini

 iPhone 13 Pro Max

 iPhone SE 2

 iPhone 14

 iPhone SE 3

 iPhone 14 Plus

 11 series and older

iOS Version: The minimum iOS version required is 15.

*All compatible iPhones will require the Osmo iPad base and the Osmo Reflector for iPad (2021).

Amazon Fire tablets: Not compatible with the Fire 7 (12th Gen, 2022), Fire HD 10 (13th Gen, 2023), and Fire Max 11 (13th Gen, 2023);

Full Compatibility

Requires Reflector for Fire Tablets (2021)

Limited Compatibility*

 Amazon Fire HD 8 (8th Gen)

 

Amazon Fire 7 (7th Gen)

 Amazon Fire HD 10 (9th Gen)

 

Amazon Fire 7 (9th Gen)

 Amazon Fire HD 8 (10th Gen)

Amazon Fire HD 8 (7th Gen)

 Amazon Fire HD 10 (11th Gen)

Amazon Fire HD 10 (7th Gen)

 Amazon Fire HD 8 (12th Gen)

**The tablets listed are no longer compatible, and are no longer being supported by Amazon.

If you have previously downloaded Osmo apps on one of these devices, they should continue to work. However, they will not receive new updates or content and if you delete the app, you will not be able to download it again. As a result, we are unable to provide technical support for these models.

All fully compatible models include the Plus model and the Kids edition with the case removed.

Fire OS Version: The minimum Fire OS version required is 7.0

To improve your play experience, make sure your device meets these memory requirements.

Game Compatibility

Discontinued Games

Words, Numbers, Tangram, Masterpiece, and Newton For Schools versions are currently only compatible with iPads.

The games listed below have been discontinued and do not receive content or compatibility updates. They are not compatible with any device released after 2020 but should continue to work on any device they were previously downloaded on. We are limited in our ability to provide technical support for these games.

  • MindRacers*
  • Super Studio Incredibles 2

*MindRacers is not compatible with any Fire tablet.

 

 

 

The Math Wizard app is not compatible with any limited compatibility device.

The Math Wizard EDU versions are not compatible with the Fire HD 8 (12th Gen, 2022).

Reading Adventure is not compatible with the following:

  • iPad Air 1
  • iPad Mini 2
  • iPad Mini 3
  • limited compatibility iPads
  • any Fire tablets

 

Can’t find your answer in our support center? Contact us directly.